#!/bin/sh
SHARE_NAME=$1
TRANS_DIRECT=$2 # encryption | decryption | c2

HOOK_DIR="/var/packages/PrestoServer/target/hook"
FEASIBILITY_CHECK="${HOOK_DIR}/feasibility-check"
CSTN_CLOUD_CONTROL="/var/packages/PrestoServer/target/bin/cloud-control"

ret=`${CSTN_CLOUD_CONTROL} service --status`

# Presto daemons not running
if [ "$ret" != "enabled" ] ; then
	exit 0
fi

${FEASIBILITY_CHECK} --share-is-busy "$SHARE_NAME" "$TRANS_DIRECT"
if [ $? -ne 0 ]; then
	exit 1
else
	exit 0
fi
